Skip to main content
GET
/
api
/
repos
List repositories
curl --request GET \
  --url https://api.example.com/api/repos
[
  {
    "codeHostType": "github",
    "repoId": 123,
    "repoName": "<string>",
    "webUrl": "<string>",
    "isFork": true,
    "isArchived": true,
    "repoDisplayName": "<string>",
    "externalWebUrl": "<string>",
    "imageUrl": "<string>",
    "indexedAt": "2023-11-07T05:31:56Z",
    "pushedAt": "2023-11-07T05:31:56Z",
    "defaultBranch": "<string>"
  }
]

Query Parameters

page
integer
default:1
Required range: x > 0
perPage
integer
default:30
Required range: 0 < x <= 100
sort
enum<string>
default:name
Available options:
name,
pushed
direction
enum<string>
default:asc
Available options:
asc,
desc
query
string

Response

Paginated repository list.

codeHostType
enum<string>
required
Available options:
github,
gitlab,
gitea,
gerrit,
bitbucketServer,
bitbucketCloud,
genericGitHost,
azuredevops
repoId
number
required
repoName
string
required
webUrl
string
required
isFork
boolean
required
isArchived
boolean
required
repoDisplayName
string
externalWebUrl
string
imageUrl
string
indexedAt
string<date-time>
pushedAt
string<date-time>
defaultBranch
string